> ## Documentation Index > Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt > Use this file to discover all available pages before exploring further. # /v2/assurance/bucket-topologies ## OpenAPI ````json POST /v2/assurance/bucket-topologies { "openapi": "3.0.0", "info": { "title": "Graphiant APIs", "version": "1.0.0", "description": "Graphiant API documentation." }, "servers": [ { "url": "https://api.graphiant.com" } ], "security": [ { "jwtAuth": [] } ], "tags": [], "paths": { "/v2/assurance/bucket-topologies": { "post": { "security": [ { "jwtAuth": [] } ], "parameters": [ { "in": "header", "name": "Authorization", "required": true, "schema": { "type": "string" }, "description": "Bearer token. Format: Bearer " } ], "requestBody": { "required": true, "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v2AssuranceBucketTopologiesPostRequest" } } } }, "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v2AssuranceBucketTopologiesPostResponse" } } } } } } } }, "components": { "schemas": { "v2AssuranceBucketTopologiesPostRequest": { "type": "object", "properties": { "bucketId": { "type": "string", "example": "ENUM_VALUE" } }, "additionalProperties": false }, "v2AssuranceBucketTopologiesPostResponse": { "type": "object", "properties": { "topologies": { "type": "array", "items": { "$ref": "#/components/schemas/assuranceFlexAlgoIdentifier" } } }, "additionalProperties": false }, "assuranceFlexAlgoIdentifier": { "type": "object", "properties": { "flexAlgoId": { "type": "integer", "format": "int64", "example": 1234567891011 }, "flexAlgoName": { "type": "string", "example": "example string" } }, "additionalProperties": false } }, "securitySchemes": { "jwtAuth": { "type": "apiKey", "in": "header", "name": "authorization", "description": "Use `Bearer `" } } } } ````